For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log inBook a demo
  • Getting started
    • Introduction
    • Obtaining API keys
    • Quickstart
    • Native clients
    • Concepts
    • Embedding authentication
    • Versioning
    • Idempotent requests
    • Events
  • Configuring your connections
    • CDC streaming from databases
  • Code examples
    • Bulk sync (ELT) from HubSpot to PostgreSQL
    • Bulk sync (ELT) from Salesforce to S3
    • Bulk sync (ELT) from Salesforce to Snowflake
    • Model sync (Reverse ETL) from MongoDB to Salesforce
  • API Reference
      • POSTEnrichment Fields
      • POSTPreview Model
      • GETList Models
      • POSTCreate Model
      • GETGet Model
      • DELDelete Model
      • PATCHUpdate Model
      • GETSample Records
Logo
Log inBook a demo
API ReferenceModels

Delete Model

DELETE
https://app.polytomic.com/api/models/:id
DELETE
/api/models/:id
$curl -X DELETE https://app.polytomic.com/api/models/248df4b7-aa70-47b8-a036-33ac447e668d \
> -H "X-Polytomic-Version: X-Polytomic-Version" \
> -u "<username>:<password>"

Deletes a model.

🚧 Deleting a model used by one or more syncs will break those syncs. Remove or reconfigure any syncs that reference this model before deleting it.

Was this page helpful?
Previous

Update Model

Next

Authentication

AuthorizationBasic

This is the Polytomic deployment key (on-premises only)

OR
AuthorizationBearer
This is the Polytomic API key

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Polytomic-VersionstringRequired

Query parameters

asyncbooleanOptional

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error